Subject: Re: bug#64978: 29.1.50; C-g doesn't produce sound on PGTK

From: Daan Ro <[email-masked]>
Date: Tue, 1 Aug 2023 18:12:24 +0700

Thank you, I am on KDE Plasma 5.27 (Wayland).
Indeed after switching to GNOME and configuring event sound, I can get the
desired beep.

But by still leaving the config as-is and switching to Plasma or Hyprland, the
sound is gone again.

Daanturo

On Aug 1 2023, at 1:26 pm, Po Lu <[email-masked]> wrote:
> Daan Ro <[email-masked]> writes:
>
> > 1. `emacs -Q`
> > 2. Press "C-g"
> >
> > Expected: Emacs beeps, like the X build.
> >
> > Observed: silence.
> >
> > In GNU Emacs 29.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.38,
> > cairo version 1.17.8)
> > System Description: Arch Linux
>
> What Wayland compositor is installed on your system?
> The X build ``beeps'' with Xkb or the X protocol, which in fact results
> in a beep event being sent to a listening audio server module that plays
> a user configurable sound each time it registers such an event.
>
> On Wayland, GDK is responsible for playing the beep sound through the
> Wayland protocol. I don't really know how that part works, but it's
> unlikely that any failures there can be fixed by us Emacs developers.
>